ProductEntry [alauda.io/v1alpha1]

This API is installed only when the chart is deployed for the global cluster. It is not available on workload clusters.

Description
ProductEntry is the Schema for the productentries API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ProductEntrySpec defines the desired state of ProductEntry

statusobject

ProductEntryStatus defines the observed state of ProductEntry

.spec

Description
ProductEntrySpec defines the desired state of ProductEntry
Type
object
Required
descriptiondisplayNameentrypointlogopackTypeversion
PropertyTypeDescription
catalogobject

Catalog stands for the product's catalog

descriptionobject

Description stands for the product's description

displayNameobject

DisplayName stands for the product's display name

entrypointstring

Entrypoint stands for the entrypoint of sub app

logostring

Logo stands for the product logo with base64 encoded data uri

packTypestring

PackType is the product's package type

ssoEnabledboolean

SSOEnabled stands for if SSO enabled

versionstring

Version stands for product version

entryTargetstring

.spec.catalog

Description
Catalog stands for the product's catalog
Type
object
PropertyTypeDescription
enstring

EN stands for text with English

zhstring

ZH stands for text with Simple Chinese

.spec.description

Description
Description stands for the product's description
Type
object
PropertyTypeDescription
enstring

EN stands for text with English

zhstring

ZH stands for text with Simple Chinese

.spec.displayName

Description
DisplayName stands for the product's display name
Type
object
PropertyTypeDescription
enstring

EN stands for text with English

zhstring

ZH stands for text with Simple Chinese

.status

Description
ProductEntryStatus defines the observed state of ProductEntry
Type
object
PropertyTypeDescription
hiddenOnMenuboolean

HiddenOnPortal stands for if this product is hidden on menu

hiddenOnPortalboolean

HiddenOnPortal stands for if this product is hidden on portal

orderOnMenuinteger

OrderOnMenu stands for the product's order on menu

orderOnPortalinteger

OrderOnPortal stands for the product's order on portal

API Endpoints

The following API endpoints are available:

  • /apis/alauda.io/v1alpha1/productentries
    • DELETE: delete collection of ProductEntry
    • GET: list objects of kind ProductEntry
    • POST: create a new ProductEntry
  • /apis/alauda.io/v1alpha1/productentries/{name}
    • DELETE: delete the specified ProductEntry
    • GET: read the specified ProductEntry
    • PATCH: partially update the specified ProductEntry
    • PUT: replace the specified ProductEntry
  • /apis/alauda.io/v1alpha1/productentries/{name}/status
    • GET: read status of the specified ProductEntry
    • PATCH: partially update status of the specified ProductEntry
    • PUT: replace status of the specified ProductEntry

/apis/alauda.io/v1alpha1/productentries

HTTP method
DELETE
Description
delete collection of ProductEntry
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ProductEntry
HTTP responses
HTTP codeResponse body
200 - OKProductEntryList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ProductEntry
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyProductEntry schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
201 - CreatedProductEntry schema
202 - AcceptedProductEntry schema
401 - UnauthorizedEmpty

/apis/alauda.io/v1alpha1/productentries/{name}

HTTP method
DELETE
Description
delete the specified ProductEntry
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ProductEntry
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ProductEntry
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ProductEntry
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyProductEntry schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
201 - CreatedProductEntry schema
401 - UnauthorizedEmpty

/apis/alauda.io/v1alpha1/productentries/{name}/status

HTTP method
GET
Description
read status of the specified ProductEntry
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ProductEntry
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ProductEntry
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyProductEntry schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKProductEntry schema
201 - CreatedProductEntry schema
401 - UnauthorizedEmpty